Bug 276783 - Sometimes a renamed budget is renamed back to the original name
Summary: Sometimes a renamed budget is renamed back to the original name
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: SVN
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-29 21:25 UTC by Jack
Modified: 2011-07-05 13:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2011-06-29 21:25:15 UTC
Version:           SVN trunk (using KDE 4.6.4) 
OS:                Linux

If I create a budget "Budget 2011" and rename it to "Budget 1 2011" when I create a new budget "Budget 2011 (1)" the first budget is renamed back to "Budget 2011."  I've tried many combinations of creating several new, renaming some of them, but creating another new one resets all or most of the names back to the original names.

Reproducible: Always

Steps to Reproduce:
create a budget.  rename it.  create a new budget.

Actual Results:  
the first budget gets back its original name.

Expected Results:  
the budget keeps the new name.

At first, I thought the some new names stuck, but now they all seem to revert when a new budget is created.
Comment 1 Jack 2011-06-29 21:28:32 UTC
I've just discovered that if I save the kmm file after renaming the budget, then close and reopen the file, the budget was saved with its original name.  Also, changing the budget year or assigning the budget based on forecast also reset the name.
Comment 2 Jack 2011-06-30 00:23:38 UTC
I don't know if this should be a separate bug, or if there is a general display issue with budgets.  If you change an assigned amount, and then hit "revert" button, the displayed amount is not changed, and you have to select a different category, and the reselect the one you want to try again.  Also, if you change an amount, hit the "Update" and then "No" on the confirmation pop-up, the displayed amount is not changed back.
Comment 3 Thomas Baumgart 2011-07-05 13:42:34 UTC
SVN commit 1239890 by tbaumgart:

Renaming a budget did not update the name in the storage
Reverting changes did not update the budget value entry area

BUG: 276783

 M  +25 -17    kbudgetview.cpp  
 M  +3 -2      kbudgetview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1239890